# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-01-26 18:29
from __future__ import unicode_literals

from django.db import migrations

def add_resources(apps, schema_editor):
    # We need to make sure that the source of inferred facts minimally exists.
    # Also the resource that the inference system might generate.
    Resource = apps.get_model("ucs_besplusplus", "Resource")
    Resource('inference').save()
    Resource('alias').save()

def source_fqdn_aliases(apps, schema_editor):
    Resource = apps.get_model("ucs_besplusplus", "Resource")
    Property = apps.get_model("ucs_besplusplus", "Property")
    for p in Property.objects.filter(predicate_id='alias',
                                     object_lit__startswith='dns--'):
        p.source_id = 'inference'
        p.save()

class Migration(migrations.Migration):

    dependencies = [
        ('ucs_besplusplus', '0007_vcenter_source'),
    ]

    operations = [
        migrations.RunPython(add_resources,
                             migrations.RunPython.noop),
        migrations.RunPython(source_fqdn_aliases,
                             migrations.RunPython.noop),

    ]
